class  SysProp
{
    private static final String  WIN_OS_BASE_NAME = "Windows";

    private final String  OS_NAME_PROP	  = "os.name";
    private final String  FILE_SEPAR_PROP = "file.separator";
    private final String  HOME_PROP	  = "user.home";

    private String  os_name;
    private String  file_separ;
    private String  home;


    SysProp ()
    {
	initialise ();
    }


    private void  initialise ()
    {
	try
	{
	    os_name    = System.getProperty (OS_NAME_PROP   );
	    file_separ = System.getProperty (FILE_SEPAR_PROP);
	    home       = System.getProperty (HOME_PROP	    );

	    if (os_name == null)
	    {
		System.err.println (Param.JAVA_NAME +
				    ": Empty property: " +
				    OS_NAME_PROP);
		System.exit	   (1);
	    }

	    if (file_separ == null)
	    {
		System.err.println (Param.JAVA_NAME +
				    ": Empty property: " +
				    FILE_SEPAR_PROP);
		System.exit	   (1);
	    }
	}
	catch (SecurityException secure_except)
	{
	    System.err.println (Param.JAVA_NAME +
				": Property security exception: " +
				secure_except.getMessage ());
	    System.exit        (1);
	}
    }


    boolean  isWindowsOS ()
    {
	return os_name.startsWith (WIN_OS_BASE_NAME);
    }


    String  getFileSeparator ()
    {
	return file_separ;
    }


    String  getHome ()
    {
	return home;
    }
}
