/* ------------------------------------------------------------------ */
/*	   C o n t r o l S t a t u s H a n d l e r . j a v a	      */
/*	   =================================================	      */
/*								      */
/*   This file contains the source of the "ControlStatusHandler"      */
/*   interface. It should be implemented to display the status        */
/*   messages of the control components used by the "DataPlotWindow"  */
/*   class.							      */
/* ------------------------------------------------------------------ */


/**
 * This interface should be implemented to show the status message of
 * the control components used by the <CODE>DataPlotWindow</CODE> class.
 *
 *    @see DataPlotWindow
 *
 *    @author  Hans Blom
 *
******************************/
interface  ControlStatusHandler
/*****************************/
{
    /**
     * Implement this method to show the control component status
     * message.
     *
     *    @param  message   The control component status message to
     *			    show.
     *
    ***********************************/
    void  showMessage (String  message);
    /**********************************/

} // interface ControlStatusHandler
