/* ------------------------------------------------------------------ */
/*	      E x t e r n P l o t C o n t r o l s . j a v a	      */
/*	      =============================================	      */
/*								      */
/*   This file contains the source of the "ExternPlotControls"	      */
/*   interface.							      */
/* ------------------------------------------------------------------ */


import java.awt.*;


/**
 * This interface is used to treat extern plot controls in the control
 * panel of the <CODE>DataPlotWindow</CODE> class instance.
 *
 *    @author  Hans Blom
 *
****************************/
interface  ExternPlotControls
/***************************/
{
    /**
     * Get the array with the extern plot control components.
     *
     *    @return   The array with the extern plot control components.
     *
    ********************************/
    Component []  getPlotControls ();
    /*******************************/


    /**
     * Handle an action at the extern plot control components. If the
     * specified event could be handled <CODE>true</CODE> is returned;
     * otherwise <CODE>false</CODE>.
     *
     *    @param  event    The event to handle.
     *
     *    @param  object   The target object.
     *
     *    @return    A boolean value which is <CODE>true</CODE> when the
     *		     event could be handled. It is <CODE>false</CODE>
     *		     when this is not the case.
     *
    *******************************************/
    boolean  plotControlAction (Event   event,
				Object  object);
    /******************************************/

    /**
     * Adjust the extern plot control components, just before they are
     * added to the control panel.
     *
    ***************************/
    void  adjustPlotControls ();
    /**************************/

} // interface ExternPlotControls
