/* ------------------------------------------------------------------ */
/*		  B o o l e a n O b j e c t . j a v a		      */
/*		  ===================================		      */
/*								      */
/*   This file contains the source of the "BooleanObject" class. It   */
/*   is contained in the "user.common" package.			      */
/* ------------------------------------------------------------------ */


package user.common;


/**
 * Define an own boolean wrapper class. It differs with the default
 * <CODE>Boolean</CODE> that it allows setting of its class value. This
 * feature is required to use this class in a <CODE>synchronized</CODE>
 * key word.
 *
 *    @author  Hans Blom
 *
**************************/
public class  BooleanObject
/*************************/
{
    /**
     * The instance value of this wrapper class.
     */

    public boolean  value;


    /**
     * Constructor.
     *
     *    @param  value   Set the class initialised value.
     *
    ************************************/
    public BooleanObject (boolean  value)
    /***********************************/
    {
	this.value = value;
    }
} // class BooleanObject
