/* ------------------------------------------------------------------ */
/* 		P l o t T r a c e H a n d l e r . j a v a	      */
/*		=========================================	      */
/*								      */
/*   This file contains the source of the "PlotTraceHandler"	      */
/*   interface. It should be implemented to supply an index for a     */
/*   plot trace.						      */
/* ------------------------------------------------------------------ */


package user.plot;    // Define the plot package.


/**
 * This interface should be implemented to supply an index to a plot
 * trace. The trace index is used to determine trace colors, plot
 * markers, etc.
 *
 *    @author  Hans Blom
 *
*********************************/
public interface  PlotTraceHandler
/********************************/
{
    /**
     * This method should be implemented to return the plot trace index
     * connected to the specified data index. This is the index of the
     * data in the data vector.
     *
     *    @param  data_index   The specified data index for which a plot
     *			       trace index should be returned.
     *
     *    @return   The index of the plot trace.
     *
    *******************************************/
    public int  getTraceIndex (int  data_index);
    /******************************************/

} // interface PlotTraceHandler
